Skip to main content
GET
/
trading
/
settlements
/
{settlementId}
/
trades
List trades by settlement
curl --request GET \
  --url https://api.anchorage-staging.com/v2/trading/settlements/{settlementId}/trades \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "quantitySold": "1",
      "currencySold": "USD",
      "currencyBought": "BTC",
      "price": "11681.67",
      "quantityBought": "0.00008561",
      "side": "BUY",
      "timestamp": "2020-08-31T22:15:31.99999Z",
      "tradeID": "e0538774-ebd9-11ea-adc1-0242ac120002",
      "quoteID": "06f71d1e-e7e8-11ea-adc1-0242ac120011",
      "vault": {
        "vaultID": "419f3483a26c4c0f42c24bb78a1d1c92"
      },
      "tradeStatus": "EXECUTED",
      "tradingPair": "BTC-USD",
      "fee": "0.01",
      "feeCurrency": "USD"
    },
    {
      "quantitySold": "1",
      "currencySold": "USD",
      "currencyBought": "ETH",
      "price": "435.16",
      "quantityBought": "0.00230049",
      "side": "BUY",
      "timestamp": "2020-08-31T22:14:07.99999Z",
      "tradeID": "d1ae1416-ebd7-11ea-adc1-0242ac120002",
      "quoteID": "06f71d1e-e7e8-11ea-adc1-0242ac120002",
      "vault": {
        "vaultID": "419f3483a26c4c0f42c24bb78a1d1c92"
      },
      "tradeStatus": "EXECUTED",
      "tradingPair": "ETH-USD",
      "fee": "0.01",
      "feeCurrency": "USD"
    }
  ],
  "page": {
    "next": "/v2/trading/settlements/c8e2fcb6-78fa-4b8a-8f6d-e3ff23093dd0/trades?endDate=2020-08-31T22:14:07Z&limit=2"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

settlementId
string
required

The ID of the settlement to retrieve

Query Parameters

startDateTime
string<date-time>

The start date-time of the trades in YYYY-MM-DDTHH:MM:SS.nnnnnnnnn format. The earliest valid start date-time is '2017-01-01T00:00:00.000000000'. Date-times are always in UTC RFC 3339 'date-time'.

endDateTime
string<date-time>

The end date-time of the trades (exclusive) in YYYY-MM-DDTHH:MM:SS.nnnnnnnnn format. Defaults to the current date-time if not specified. endDateTime must be after startDateTime. Date-times are always in UTC RFC 3339 'date-time'.

side
enum<string>

Filter by the side of a trade. If provided, only trades matching this side will be returned.

Available options:
BUY,
SELL
tradingPair
string

Filter by the trading pair of a trade. If provided, only trades matching this pair of assets will be returned.

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:100

Maximum number of results to return per query

Required range: 1 <= x <= 2000

Response

A list of Trades and their metadata

data
TradeDetails · object[]
required
page
Page · object
required

Pagination info